org.aspectj.internal.lang.reflect

## Class InterTypeConstructorDeclarationImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl
  - - org.aspectj.internal.lang.reflect.InterTypeConstructorDeclarationImpl

All Implemented Interfaces:
  InterTypeConstructorDeclaration, InterTypeDeclaration

    public class InterTypeConstructorDeclarationImpl
    extends InterTypeDeclarationImpl
    implements InterTypeConstructorDeclaration

Author:
  colyer

### Field Summary

### Fields inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`targetTypeName`

### Constructor Summary

Constructors
Constructor and Description
`InterTypeConstructorDeclarationImpl(AjType<?> decType, String target, int mods, Method baseMethod)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType<?>[]` `getExceptionTypes()`
`Type[]` `getGenericParameterTypes()`
`AjType<?>[]` `getParameterTypes()`
`String` `toString()`

### Methods inherited from class org.aspectj.internal.lang.reflect.InterTypeDeclarationImpl

`getDeclaringType, getModifiers, getTargetType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Constructor Detail

#### InterTypeConstructorDeclarationImpl

    public InterTypeConstructorDeclarationImpl(AjType<?> decType,
                                               String target,
                                               int mods,
                                               Method baseMethod)

### Method Detail

#### getParameterTypes

    public AjType<?>[] getParameterTypes()

Specified by:
  `getParameterTypes` in interface `InterTypeConstructorDeclaration`
Returns:
  the constructor parameters

#### getGenericParameterTypes

    public Type[] getGenericParameterTypes()

Specified by:
  `getGenericParameterTypes` in interface `InterTypeConstructorDeclaration`
Returns:
  the generic constructor parameters

#### getExceptionTypes

    public AjType<?>[] getExceptionTypes()

Specified by:
  `getExceptionTypes` in interface `InterTypeConstructorDeclaration`
Returns:
  the declared exceptions thrown by this constructor

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`